Package org.apache.qpid.proton.engine.impl.ssl

# Class SslImpl

java.lang.Object
org.apache.qpid.proton.engine.impl.ssl.SslImpl

All Implemented Interfaces:
  `TransportLayer`, `Ssl`

public class SslImpl extends Object implements Ssl, TransportLayer

## Constructor Summary

Constructors
Constructor
Description
`SslImpl(SslDomain domain, SslPeerDetails peerDetails)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCipherName()`
Get the name of the Cipher that is currently in use.
`String`
`getPeerHostname()`
`String`
`getProtocolName()`
Get the name of the SSL protocol that is currently in use.
`void`
`setPeerHostname(String hostname)`
`TransportWrapper`
`wrap(TransportInput inputProcessor, TransportOutput outputProcessor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SslImpl

public SslImpl(SslDomain domain, SslPeerDetails peerDetails)

Parameters:
  `domain` - must implement `ProtonSslEngineProvider`. This is not possible enforce at the API level because `ProtonSslEngineProvider` is not part of the public Proton API.

## Method Details

### wrap

public TransportWrapper wrap(TransportInput inputProcessor, TransportOutput outputProcessor)

Specified by:
  `wrap` in interface `TransportLayer`

### getCipherName

public String getCipherName()
Description copied from interface: `Ssl`
Get the name of the Cipher that is currently in use. Gets a text description of the cipher that is currently active, or returns null if SSL is not active (no cipher). Note that the cipher in use may change over time due to renegotiation or other changes to the SSL state.

Specified by:
  `getCipherName` in interface `Ssl`
Returns:
  the name of the cipher in use, or null if none

### getProtocolName

public String getProtocolName()
Description copied from interface: `Ssl`
Get the name of the SSL protocol that is currently in use. Gets a text description of the SSL protocol that is currently active, or null if SSL is not active. Note that the protocol may change over time due to renegotiation.

Specified by:
  `getProtocolName` in interface `Ssl`
Returns:
  the name of the protocol in use, or null if none

### setPeerHostname

public void setPeerHostname(String hostname)

Specified by:
  `setPeerHostname` in interface `Ssl`
Throws:
  `ProtonUnsupportedOperationException`

### getPeerHostname

public String getPeerHostname()

Specified by:
  `getPeerHostname` in interface `Ssl`
Throws:
  `ProtonUnsupportedOperationException`